Upstream information

CVE-2017-17740 at MITRE

Description

contrib/slapd-modules/nops/nops.c in OpenLDAP through 2.4.45, when both the nops module and the memberof overlay are enabled, attempts to free a buffer that was allocated on the stack, which allows remote attackers to cause a denial of service (slapd crash) via a member MODDN operation.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5 4.3
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial
CVSS v3 Scores
  SUSE
Base Score 5.9
Vector AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
SUSE Bugzilla entry: 1073313 [IN_PROGRESS]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 openldap2 Affected
SUSE Linux Enterprise Module for Legacy Software 12 openldap2 Unsupported
SUSE Linux Enterprise SDK 11 SP4 openldap2 Affected
SUSE Linux Enterprise SDK 12 SP2 openldap2 Affected
SUSE Linux Enterprise Server 11 SP3 LTSS openldap2 Affected
SUSE Linux Enterprise Server 11 SP4 openldap2 Affected
SUSE Linux Enterprise Server 12 GA LTSS openldap2 Unsupported
SUSE Linux Enterprise Server 12 SP1 LTSS openldap2 Unsupported
SUSE Linux Enterprise Server 12 SP2 openldap2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA openldap2 Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP1 openldap2 Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP2 openldap2 Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 openldap2 Unsupported